package repo (not installed) failed to install/upgrade: trying to overwrite '/usr/bin/repo', which is also in package phablet-tools 1.1+15.10.20150925.2-0ubuntu1

Bug #1525605 reported by mjbanks on 2015-12-13
56
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Phablet Tools
Confirmed
Undecided
Unassigned
phablet-tools (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Unassigned

Bug Description

bought mom a new kindle, fifty bux, b/c she can't have mine, the old one, leaning port, i'm about to install cyanogenmod, or at least i hope i can,

idk

#messagebox

#ruby #python

ProblemType: Package
DistroRelease: Ubuntu 15.10
Package: repo (not installed)
ProcVersionSignature: Ubuntu 4.2.0-21.25-generic 4.2.6
Uname: Linux 4.2.0-21-generic i686
ApportVersion: 2.19.1-0ubuntu5
Architecture: i386
Date: Sat Dec 12 22:26:18 2015
DuplicateSignature: package:repo:(not installed):trying to overwrite '/usr/bin/repo', which is also in package phablet-tools 1.1+15.10.20150925.2-0ubuntu1
ErrorMessage: trying to overwrite '/usr/bin/repo', which is also in package phablet-tools 1.1+15.10.20150925.2-0ubuntu1
InstallationDate: Installed on 2015-12-12 (0 days ago)
InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Release i386 (20151021)
RelatedPackageVersions:
 dpkg 1.18.2ubuntu5.1
 apt 1.0.10.2ubuntu1
SourcePackage: repo
Title: package repo (not installed) failed to install/upgrade: trying to overwrite '/usr/bin/repo', which is also in package phablet-tools 1.1+15.10.20150925.2-0ubuntu1
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

mjbanks (matthewbanks) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

information type: Private Security → Public

Kool. I didn't know what it was. Tratía de to cyanogenmod a kindle1 from a yard sale. Viva la HP L++

-----Original Message-----
From: "Seth Arnold" <email address hidden>
Sent: ‎12/‎14/‎2015 6:10 PM
To: "<email address hidden>" <email address hidden>
Subject: [Bug 1525605] Re: package repo (not installed) failed toinstall/upgrade: trying to overwrite '/usr/bin/repo', which is also inpackage phablet-tools 1.1+15.10.20150925.2-0ubuntu1

Thanks for taking the time to report this bug and helping to make Ubuntu
better. We appreciate the difficulties you are facing, but this appears
to be a "regular" (non-security) bug. I have unmarked it as a security
issue since this bug does not show evidence of allowing attackers to
cross privilege boundaries nor directly cause loss of data/privacy.
Please feel free to report any other bugs you may find.

** Also affects: phablet-tools (Ubuntu)
   Importance: Undecided
       Status: New

** Information type changed from Private Security to Public

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1525605

Title:
  package repo (not installed) failed to install/upgrade: trying to
  overwrite '/usr/bin/repo', which is also in package phablet-tools
  1.1+15.10.20150925.2-0ubuntu1

Status in phablet-tools package in Ubuntu:
  New
Status in repo package in Ubuntu:
  New

Bug description:
  bought mom a new kindle, fifty bux, b/c she can't have mine, the old
  one, leaning port, i'm about to install cyanogenmod, or at least i
  hope i can,

  idk

  #messagebox

  #ruby #python

  ProblemType: Package
  DistroRelease: Ubuntu 15.10
  Package: repo (not installed)
  ProcVersionSignature: Ubuntu 4.2.0-21.25-generic 4.2.6
  Uname: Linux 4.2.0-21-generic i686
  ApportVersion: 2.19.1-0ubuntu5
  Architecture: i386
  Date: Sat Dec 12 22:26:18 2015
  DuplicateSignature: package:repo:(not installed):trying to overwrite '/usr/bin/repo', which is also in package phablet-tools 1.1+15.10.20150925.2-0ubuntu1
  ErrorMessage: trying to overwrite '/usr/bin/repo', which is also in package phablet-tools 1.1+15.10.20150925.2-0ubuntu1
  InstallationDate: Installed on 2015-12-12 (0 days ago)
  InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Release i386 (20151021)
  RelatedPackageVersions:
   dpkg 1.18.2ubuntu5.1
   apt 1.0.10.2ubuntu1
  SourcePackage: repo
  Title: package repo (not installed) failed to install/upgrade: trying to overwrite '/usr/bin/repo', which is also in package phablet-tools 1.1+15.10.20150925.2-0ubuntu1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/phablet-tools/+bug/1525605/+subscriptions

tags: removed: need-duplicate-check

Hi, I am from Debian Android Tools Team and I co-maintained "repo". "repo" was previously not packaged in Debian until we did it, so I think this bug should be transferred to "phablet-tools" and ask the maintainer to remove /usr/bin/repo and make the package depends on "repo".

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in phablet-tools (Ubuntu):
status: New → Confirmed
Changed in repo (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) on 2016-06-18
affects: repo (Ubuntu) → phablet-tools
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phablet-tools - 1.2+16.10.20160629.1-0ubuntu1

---------------
phablet-tools (1.2+16.10.20160629.1-0ubuntu1) yakkety; urgency=medium

  [ Chris Wayne ]
  * Allow click-buddy to use sessions, so we can install stuff without
    polluting the main chroot

  [ Jeremy Bicha ]
  * Depend on distro-packaged repo instead of bundling it (LP: #1525605)
    (LP: #1525605)

 -- Michael Terry <email address hidden> Wed, 29 Jun 2016 21:00:32 +0000

Changed in phablet-tools (Ubuntu):
status: Confirmed → Fix Released
Jeremy Bicha (jbicha) on 2016-12-15
Changed in phablet-tools (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers